<template>
  <div>
    <q-file outlined label="Image Product" v-model="main_image" use-chips
            ref="mainImage"
            counter
            @input="mainImageUrlChange"
            accept="image/*" @clear="mainImageUrlChange">
      <template v-slot:prepend>
        <q-icon name="attach_file" />
      </template>
    </q-file>
    <q-img :src="mainImageUrl" v-if="mainImageUrl" >
      <div class="absolute-bottom-right text-subtitle2">
        <q-btn icon="delete" color="red" @click="deleteMainImage" />
      </div>
    </q-img>
  </div>
</template>

<script>
export default {
  name: 'ImageProductUpload',
  data () {
    return {
      main_image: null,
      mainImageUrl: null
    }
  },

  methods: {
    deleteMainImage() {
      this.$refs.mainImage.removeAtIndex(0);
    },
    mainImageUrlChange(val) {
      if (val) {
        this.$emit("addImage", this.main_image);
        this.mainImageUrl = URL.createObjectURL(val);
      } else {
        this.$emit("deleteImage", this.main_image);
        this.mainImageUrl = null;
      }
    }
  },
}
</script>
